Treasury & FX
Treasury
Cash accounts, balances, and liquidity
Authorization
bearerAuth AuthorizationBearer <token>
Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
entityId*string
Format
uuidview*string
Value in
- "accounts"
- "cash_position"
- "liquidity"
- "movements"
- "balances"
asOfDate?string
Used by cash_position view
Format
dateaccountId?string
Required when view=balances
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/treasury?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08&view=accounts"{}{ "error": "string"}{ "error": "string"}Authorization
bearerAuth AuthorizationBearer <token>
Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/treasury" \ -H "Content-Type: application/json" \ -d '{ "action": "create_account", "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5", "type": "string", "name": "string", "currency": "string" }'{}{ "error": "string"}{ "error": "string"}